package cd.casic.plugin.pf4j;

import lombok.Getter;
import org.pf4j.DefaultPluginDescriptor;

import java.util.List;

@Getter
public class OpsPluginDescriptor extends DefaultPluginDescriptor {
    private final String configFileName;
    private final List<String> configFileActive;

    public OpsPluginDescriptor(String pluginId, String pluginDescription, String pluginClass,
                               String version, String requires, String provider, String license,
                               String configFileName, List<String> configFileActive){
        super(pluginId, pluginDescription, pluginClass, version, requires, provider, license);
        this.configFileActive = configFileActive;
        this.configFileName = configFileName;
    }
}
