package cd.casic.ci.common.pipeline.pojo;

import cd.casic.ci.common.pipeline.pojo.element.atom.ManualReviewParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo
 * @Project：ops-pro
 * @name：StageReviewRequest
 * @Date：2025/03/25 16:38
 * @Filename：StageReviewRequest
 * @description：Todo
 */
@Data
@Schema(title = "人工审核-自定义参数审核体")
public class StageReviewRequest {
    @Schema(title = "审核参数", required = true)
    private List<ManualReviewParam> reviewParams;
    @Schema(title = "审核组ID", required = false)
    private String id;
    @Schema(title = "审核建议", required = false)
    private String suggest;
}
