package cd.casic.ci.common.pipeline.pojo.transfer;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.transfer
 * @Project：ops-pro
 * @name：IfType
 * @Date：2025/03/26 11:01
 * @Filename：IfType
 * @description：Todo
 */
@Getter
@AllArgsConstructor
@Schema(title = "IfType")
public enum IfType {
    @Schema(title = "Success")
    SUCCESS,
    @Schema(title = "Failure")
    FAILURE,
    @Schema(title = "Cancelled")
    CANCELLED,
    @Schema(title = "Canceled")
    CANCELED,
    @Schema(title = "Always")
    ALWAYS,
    @Schema(title = "Always unless cancelled")
    ALWAYS_UNLESS_CANCELLED
}
