package cd.casic.pipeline.environment.pojo.thirdpartyagent.pipeline;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PipelineResponse {
    private final PipelineStatus status;
    private final String message;
    private final String seqId;

    public PipelineResponse(
            @JsonProperty("status") PipelineStatus status,
            @JsonProperty("message") String message,
            @JsonProperty("seqId") String seqId
    ) {
        this.status = status;
        this.message = message;
        this.seqId = seqId;
    }
} 