package cd.casic.ci.log.dal.pojo.enums;

import io.swagger.v3.oas.annotations.media.Schema;

/**
 * @author by mianbin
 * @Classname LogType
 * @Description 日志的类型
 * @Date 2025/3/19 17:12
 */
@Schema(title = "日志的类型")
public enum LogType {
    @Schema(description = "提醒日志")
    WARN,
    @Schema(description = "错误日志")
    ERROR,
    @Schema(description = "调试日志")
    DEBUG,
    @Schema(description = "普通的日志")
    LOG
}
