package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.common.pipeline.pojo.element.Element;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：BuildTaskPauseInfo
 * @Date：2025/03/24 15:12
 * @Filename：BuildTaskPauseInfo
 * @description：Todo
 */
@Data
@Schema(title = "流水线暂停操作实体类")
public class BuildTaskPauseInfo {
    @Schema(title = "任务ID")
    private String taskId;
    @Schema(title = "插件ID")
    private String stepId;
    @Schema(title = "element信息,若插件内有变量变更需给出变更后的element")
    private Element element;
    @Schema(title = "是否继续 true:继续构建 false：停止构建")
    private boolean isContinue;
    @Schema(title = "当前stageId")
    private String stageId;
    @Schema(title = "当前containerId")
    private String containerId;
}
