package cd.casic.ci.process.api.process.pojo.pipeline;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname PushPipelineResult
 * @Description TODO
 * @Date 2025/3/31 17:48
 */
@Data
@AllArgsConstructor
@Schema(title = "推送流水线结果")
public class PushPipelineResult {
    @Schema(title = "项目ID")
    private String projectId;
    @Schema(title = "代码库ID")
    private String repoHashId;
    @Schema(title = "ci文件路径")
    private String filePath;
    @Schema(title = "分支名")
    private String branch;
    @Schema(title = "mr url")
    private String mrUrl;
}
