package cd.casic.ci.process.api.process.pojo.setting;

import cd.casic.ci.common.pipeline.pojo.setting.PipelineSetting;
import cd.casic.ci.process.api.process.pojo.PipelineDetail;
import cd.casic.ci.process.api.process.pojo.pipeline.PipelineResourceVersion;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.Valid;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.setting
 * @Project：ops-pro
 * @name：PipelineResourceAndSetting
 * @Date：2025/03/24 20:21
 * @Filename：PipelineResourceAndSetting
 * @description：Todo
 */
@Data
@Schema(title = "流水线资源与设置")
public class PipelineResourceAndSetting {
    @Schema(title = "流水线模型", required = true)
    private PipelineDetail pipelineInfo;
    @Schema(title = "流水线资源版本", required = true)
    private PipelineResourceVersion pipelineResource;
    @Schema(title = "流水线设置", required = false)
    @Valid
    private PipelineSetting setting;
}
