package cd.casic.ci.process.api.process.pojo.template;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：HighlightType
 * @Date：2025/03/24 18:55
 * @Filename：HighlightType
 * @description：Todo
 */
@Getter
public enum HighlightType {
    @Schema(title = "通知", required = true)
    NOTIFY,
    @Schema(title = "标签", required = true)
    LABEL,
    @Schema(title = "并发", required = true)
    CONCURRENCY,
    @Schema(title = "流水线模型", required = true)
    PIPELINE_MODEL;
}
