package cd.casic.ci.process.api.process.pojo.webhook;

import cd.casic.ci.common.pipeline.pojo.BuildParameters;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.webhook
 * @Project：ops-pro
 * @name：WebhookTriggerParams
 * @Date：2025/03/24 17:09
 * @Filename：WebhookTriggerParams
 * @description：Todo
 */

@Data
@Schema(title = "参数")
public class WebhookTriggerParams {
    @Schema(title = "启动参数(webhook之类的预置参数)", required = true)
    private Map<String, String> params;
    @Schema(title = "启动参数(用户自定义参数)", required = false)
    private List<BuildParameters> userParams;
    @Schema(title = "手动触发参数", required = false)
    private Map<String, String> startValues;
    @Schema(title = "触发审核人列表", required = false)
    private List<String> triggerReviewers;
}
