package cd.casic.ci.log.scm.dal.pojo.github;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(description = "提交模型")
public class GithubCommit {
    @Schema(description = "sha值")
    private String sha;

    @Schema(description = "节点id", name = "node_id")
    private String nodeId;

    @Schema(description = "提交内容")
    private GithubCommitData commit;
}
