package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "流水线-插件分类信息")
public class MarketAtomClassify {
    @Schema(title = "插件分类ID", required = true)
    private String id;
    @Schema(title = "插件分类编码", required = true)
    private String classifyCode;
    @Schema(title = "插件分类名称", required = true)
    private String classifyName;
    @Schema(title = "插件数量", required = true)
    private Integer atomNum;
    @Schema(title = "创建日期")
    private Long createTime = 0L;
    @Schema(title = "更新日期")
    private Long updateTime = 0L;
}