package cd.casic.pipeline.store.pojo.common.comment;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "评论回复信息")
public class StoreCommentReplyInfo {
    @Schema(title = "回复ID", required = true)
    private String replyId;
    @Schema(title = "回复者", required = true)
    private String replyer;
    @Schema(title = "回复内容", required = true)
    private String replyContent;
    @Schema(title = "回复者组织架构信息", required = true)
    private String replyerDept;
    @Schema(title = "回复者头像url地址", required = false)
    private String profileUrl;
    @Schema(title = "被回复者", required = true)
    private String replyToUser;
    @Schema(title = "回复创建时间", required = true)
    private Long replyTime;
    @Schema(title = "回复更新时间", required = true)
    private Long updateTime;
}