package cd.casic.pipeline.store.pojo.container;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "流水线-构建资源信息请求体")
public class BuildResourceRequest {
    @Schema(title = "构建资源代码", required = true)
    private String buildResourceCode;
    
    @Schema(title = "构建资源名称", required = true)
    private String buildResourceName;
    
    @Schema(title = "是否为默认构建资源，TRUE：是 FALSE：否", required = true)
    private Boolean defaultFlag;
}