package cd.casic.plugin.event;

import org.springframework.context.ApplicationEvent;

/**
 * @Author：mianbin
 * @Package：cd.casic.plugin.event
 * @Project：ops
 * @name：PluginRestartedEvent
 * @Date：2024/03/22 10:51
 * @Filename：PluginRestartedEvent
 * @description：插件重启，在插件管理器中重启插件，和同目录上面的OpsMian****的事件不同
 */
public class PluginRestartedEvent extends ApplicationEvent {

    public PluginRestartedEvent(Object source) {
        super(source);
    }
}
