package cd.casic.ci.common.pipeline.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.enums
 * @Project：ops-pro
 * @name：BuildFormPropertyType
 * @Date：2025/03/25 17:01
 * @Filename：BuildFormPropertyType
 * @description：Todo
 */
@Getter
@AllArgsConstructor
public enum BuildFormPropertyType {
    STRING("string"),
    TEXTAREA("textarea"),
    ENUM("enum"),
    DATE("date"),
    LONG("long"),
    BOOLEAN("boolean"),
    SVN_TAG("svn_tag"),
    GIT_REF("git_ref"),
    REPO_REF("repo_ref"),
    MULTIPLE("multiple"),
    CODE_LIB("code_lib"),
    CONTAINER_TYPE("container_type"),
    ARTIFACTORY("artifactory"),
    SUB_PIPELINE("sub_pipeline"),
    CUSTOM_FILE("custom_file"),
    PASSWORD("password"),
    TEMPORARY("do not storage in database");

    private final String value;

    @Override
    public String toString() {
        return value;
    }
}
