package cd.casic.ci.log.api;


import cd.casic.framework.commons.pojo.CommonResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Tag(name = "管理-日志资源")
@RestController
@RequestMapping("/op")
public interface OpLogResource {
    @Operation(description = "执行搬冷任务")
    @PutMapping("/es/index/cold")
    CommonResult<Boolean> makeIndexCold();
}
