package cd.casic.ci.process.api.process.pojo.classify;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineViewMatchDynamic
 * @Date：2025/03/24 20:06
 * @Filename：PipelineViewMatchDynamic
 * @description：Todo
 */
@Data
@Schema(title = "命中动态组情况")
public class PipelineViewMatchDynamic {
    @Schema(title = "流水线名称")
    private String pipelineName;
    @Schema(title = "标签列表")
    private List<LabelInfo> labels;

    @Data
    @Schema(title = "标签信息")
    public static class LabelInfo {
        @Schema(title = "标签分组id", required = false)
        private String groupId;
        @Schema(title = "标签id列表", required = false)
        private List<String> labelIds;
    }
}
