package cd.casic.ci.log.scm.utils;

import org.hashids.Hashids;

public class HashUtil {

    private static final String HASH_SALT = "jhy^3(@So0";
    private static final Hashids HASHIDS = new Hashids(HASH_SALT, 8, "abcdefghijklmnopqrstuvwxyz");

    private static final String OTHER_HASH_SALT = "xlm&gst@Fami1y";
    private static final Hashids OTHER_HASH_IDS = new Hashids(OTHER_HASH_SALT, 4);

    public static String encodeLongId(long id) {
        return HASHIDS.encode(id);
    }

    public static String encodeIntId(int id) {
        return HASHIDS.encode((long) id);
    }

    public static long decodeIdToLong(String hash) {
        long[] ids = HASHIDS.decode(hash);
        return (ids == null || ids.length == 0) ? 0L : ids[0];
    }

    public static int decodeIdToInt(String hash) {
        long[] ids = HASHIDS.decode(hash);
        return (ids == null || ids.length == 0) ? 0 : (int) ids[0];
    }

    public static String encodeOtherLongId(long id) {
        return OTHER_HASH_IDS.encode(id);
    }

    public static String encodeOtherIntId(int id) {
        return OTHER_HASH_IDS.encode((long) id);
    }

    public static long decodeOtherIdToLong(String hash) {
        long[] ids = OTHER_HASH_IDS.decode(hash);
        return (ids == null || ids.length == 0) ? 0L : ids[0];
    }

    public static int decodeOtherIdToInt(String hash) {
        long[] ids = OTHER_HASH_IDS.decode(hash);
        return (ids == null || ids.length == 0) ? 0 : (int) ids[0];
    }
}
