package cd.casic.pipeline.store.pojo.common;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "更新组件已安装包sha1摘要值请求报文")
public class InstalledPkgFileShaContentRequest {
    @Schema(title = "签名文件名称", required = true)
    private String signFileName;
    
    @Schema(title = "文件sha1摘要值", required = true)
    private String fileShaContent;
    
    @Schema(title = "操作系统名称", required = false)
    private String osName;
    
    @Schema(title = "操作系统CPU架构", required = false)
    private String osArch;
}