package cd.casic.pipeline.store.pojo.common;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "研发商店-首页")
public class MarketMainItem {
    @Schema(title = "key值")
    private String key;
    
    @Schema(title = "标签")
    private String label;
    
    @Schema(title = "组件列表")
    private List<MarketItem> records;
}