package cd.casic.pipeline.store.pojo.common.comment;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "评论回复信息请求报文体")
public class StoreCommentReplyRequest {
    @Schema(title = "回复内容", required = true)
    private String replyContent;
    @Schema(title = "被回复者（如果评论的回复被其它人回复则需要传该字段）", required = true)
    private String replyToUser;
}