package cd.casic.pipeline.store.pojo.common.index;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "组件指标要素信息")
public class StoreIndexElementInfo {
    @Schema(title = "指标要素标识", required = true)
    private String elementCode;
    
    @Schema(title = "指标要素名称", required = true)
    private String elementName;
    
    @Schema(title = "指标要素值", required = true)
    private String elementValue;
    
    @Schema(title = "备注")
    private String remark;
}