package cd.casic.pipeline.store.pojo.common.version;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "回显版本信息")
public class StoreShowVersionItem {
    @Schema(title = "版本号", required = true)
    private String version;
    
    @Schema(title = "发布类型", required = true)
    private String releaseType;
    
    @Schema(title = "是否默认选中", required = true)
    private boolean defaultFlag = false;
}